		.nlist
		.page	"definition of 37544's SFR"
;
;""FILE COMMENT""************************************************************
; System Name : 
; File Name   : sfr37544.inc
; Version     : Ver 1.0
; Contents    : definition of 37544's SFR
; Customer    : 
; Model       : 
; Order       : 
; CPU         : M37544M4-XXXFP/GP/SP
; Assembler   : SRA74 Ver4.1 Release 1
; Linker      : LINK74
; OS          : 
; Programmer  : 
; Note        : 
;****************************************************************************
; Copyright,2002-2004 RENESAS TECHNOLOGY CORPORATION
; AND RENESAS SOLUTIONS CORPORATION All Rights Reserved
;****************************************************************************
; History     : 
;""FILE COMMENT END""********************************************************
;
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;+	   Special function registers (SFR)					  +
;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;
P0			=	$00				; Port P0
P0D			=	$01				; Port P0 direction register
P1			=	$02				; Port P1
P1D			=	$03				; Port P1 direction register
P2			=	$04				; Port P2
P2D			=	$05				; Port P2 direction register
P3			=	$06				; Port P3
P3D			=	$07				; Port P3 direction register
;
PULL		=	$16				; Pull-up control register
P1P3C		=	$17				; Port P1P3 control register
TBRB		=	$18				; Transmit /Receive buffer register
SIOSTS		=	$19				; Serial I/O status register
SIOCON		=	$1A				; Serial I/O control register
UARTCON		=	$1B				; UART control register
BRG			=	$1C				; Baud rate generator
TAM			=	$1D				; Timer A mode register
TAL			=	$1E				; Timer A (low-order)
TAH			=	$1F				; Timer A (high-order)
;
PRE1		=	$28				; Prescaler 1
T1			=	$29				; Timer 1
;<reserved>
TXM			=	$2B				; Timer X mode register
PREX		=	$2C				; Prescaler X
TX			=	$2D				; Timer X
TCSS1		=	$2E				; Timer count source set register 1
TCSS2		=	$2F				; Timer count source set register 2
;
ADCON		=	$34				; A-D control register
AD			=	$35				; A-D register
;<reserved>
MISRG		=	$38				; MISRG
WDTCON		=	$39				; Watchdog timer control register
INTEDGE		=	$3A				; Interrupt edge selection register
CPUM		=	$3B				; CPU mode register
IREQ1		=	$3C				; Interrupt request register 1
IREQ2		=	$3D				; Interrupt request register 2
ICON1		=	$3E				; Interrupt control register 1
ICON2		=	$3F				; Interrupt control register 2
;
;**** SIOSTS register ***********
B_SIO_TBE	=	0,SIOSTS		; Transmit buffer empty flag
B_SIO_RBF	=	1,SIOSTS		; Receive buffer full flag
B_SIO_TSC	=	2,SIOSTS		; Transmit shift completion flag
B_SIO_OE	=	3,SIOSTS		; Overrun error flag
B_SIO_PE	=	4,SIOSTS		; Parity error flag
B_SIO_FE	=	5,SIOSTS		; Framimg error flag
B_SIO_SE	=	6,SIOSTS		; Summing error flag
;**** SIOCON register ***********
B_SIO_CCS	=	0,SIOCON		; BRG count source selection bit
B_SIO_TE	=	4,SIOCON		; Transmit enable bit
B_SIO_RE	=	5,SIOCON		; Receive enable bit
;**** TXM register **************
B_TX_STOP	=	3,TXM			; Timer X count stop bit
B_TXOUT		=	4,TXM			; P03/TXOUT output valid bit
;**** ADCON register ************
B_AD_COMP	=	4,ADCON			; AD conversion completion bit
;**** INTEDGE register **********
B_INT0_EDGE	=	0,INTEDGE		; INT0 interrupt edge selection bit
B_INT1_EDGE	=	1,INTEDGE		; INT1 interrupt edge selection bit
B_KEYON_DIS	=	7,INTEDGE		; P00 key-on wakeup enable bit
;**** IREQ1 register ************
B_SIOR_REQ	=	0,IREQ1			; Serial I/O receive interrupt request bit
B_SIOT_REQ	=	1,IREQ1			; Serial I/O transmit interrupt request bit
B_INT0_REQ	=	2,IREQ1			; INT0 interrupt request bit
B_INT1_REQ	=	3,IREQ1			; INT1 interrupt request bit
B_KEYON_REQ	=	4,IREQ1			; Key-on wake up interrupt request bit
B_CNTR0_REQ	=	5,IREQ1			; CNTR0 interrupt request bit
B_CNTR1_REQ	=	6,IREQ1			; CNTR1 interrupt request bit
B_TX_REQ	=	7,IREQ1			; Timer X interrupt request bit
;**** IREQ2 register ************
B_TA_REQ	=	2,IREQ2			; Timer A interrupt request bit
B_AD_REQ	=	3,IREQ2			; A/D conversion interrupt request bit
B_T1_REQ	=	5,IREQ2			; Timer 1 interrupt request bit
;**** ICON1 register ************
B_SIOR_CON	=	0,ICON1			; Serial I/O receive interrupt enable bit
B_SIOT_CON	=	1,ICON1			; Serial I/O transmit interrupt enable bit
B_INT0_CON	=	2,ICON1			; INT0 interrupt enable bit
B_INT1_CON	=	3,ICON1			; INT1 interrupt enable bit
B_KEYON_CON	=	4,ICON1			; Key-on wake up interrupt enable bit
B_CNTR0_CON	=	5,ICON1			; CNTR0 interrupt enable bit
B_CNTR1_CON	=	6,ICON1			; CNTR1 interrupt enable bit
B_TX_CON	=	7,ICON1			; Timer X interrupt enable bit
;**** ICON2 register ************
B_TA_CON	=	2,ICON2			; Timer A interrupt enable bit
B_AD_CON	=	3,ICON2			; A/D conversion interrupt enable bit
B_T1_CON	=	5,ICON2			; Timer 1 interrupt enable bit
;
;**** The initial value of a monitor use register ****
MON_P1D_INIT	=	00001010b	; Port P1 direction register
MON_ICON1_INIT	=	00000001b	; Interrupt control register 1
MON_ICON2_INIT	=	00000000b	; Interrupt control register 2
;
		.list
;
